### Method

# Ide DebuggerBreakpoint get_spec

#### Declaration

    const gchar*
    ide_debugger_breakpoint_get_spec (
      IdeDebuggerBreakpoint* self
    )

#### Description

Gets the “spec” property of the breakpoint.

The spec is used when the `IdeDebuggerBreakMode` is `IDE_DEBUGGER_BREAK_WATCHPOINT`.

Available since: | 3.32

Gets property | `Ide.DebuggerBreakpoint:spec`

#### Return value

Returns: | `const gchar*`
| A string containing the spec, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.